{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        // backend - python using fastapi
        {
            "name": "Backend - debug",
            "type": "debugpy",
            "request": "launch",
            "envFile": "${workspaceFolder}/backend/debug.env",
            "jinja": true,
            "cwd": "${workspaceFolder}/backend",
            "module": "fastapi",
            "args": [
                "dev",
                "src/main.py"
            ]
        },
        {
            "name": "Backend - tester",
            "type": "debugpy",
            "request": "launch",
            "program": "src/tester.py",
            "envFile": "${workspaceFolder}/backend/debug.env",
            "cwd": "${workspaceFolder}/backend"
        },
        // frontend - flutter app
        {
            "name": "Frontend - debug",
            "type": "dart",
            "request": "launch",
            "program": "lib/main.dart",
            "cwd": "${workspaceFolder}/frontend",
            "env": {
                "GOOGLE_MAPS_API_KEY": "testing"
            }
        },
        {
            "name": "Frontend - profile",
            "type": "dart",
            "request": "launch",
            "program": "lib/main.dart",
            "flutterMode": "profile",
            "cwd": "${workspaceFolder}/frontend"
        }
    ]
}
